#ifndef _INPUT_H
#define _INPUT_H

void InitInput(void);
void DestroyInput(void);
void UpdateInput();             //To be called at back buffer flip.  Updates input variables.
void ResetInput();

bool ButtonADown(void);         //True if down and was up in previous update, false if not.
bool ButtonAUp(void);           //True if down last update, but now up.
bool ButtonAPressed(void);      //True if button A is pressed down at the moment.

bool ButtonEscapeDown(void);
bool ButtonEscapeUp(void);
bool ButtonEscapePressed(void);

bool ButtonUpDown(void);
bool ButtonUpUp(void);
bool ButtonUpPressed(void);

bool ButtonDownDown(void);
bool ButtonDownUp(void);
bool ButtonDownPressed(void);

#endif
