#include <allegro.h>
#include "graphics.h"
#include "sound.h"
#include "timer.h"
#include "input.h"
#include "trollrun.h"
#include "killmario.h"
#include "stopdisk.h"
#include "menu.h"
#include "mgmode.h"
#include "unlocks.h"

int main(int argc, char *argv[])
{
    TROLLRUN trollrun;
    int selection;
    
   srand (time(NULL));
   allegro_init();
   
   if(InitSound())
   return 1;
   
   LoadSong("motivati.xm");
   PlaySong();
   
   if(InitGraphics())
   return 1;
   
   InitTimer();
   
   InitInput();
   
   LoadUnlocks("save.dat");
   
   do
   {
       selection = DisplayMainMenu(GetMarioUnlocked(), GetSpinUnlocked());
       switch(selection)
       {
       case 0:
           trollrun.DoTrollRun();
            break;
       case 1:
            MiniGameMode(0);
            break;
       case 2:
            MiniGameMode(1);
            break;
       }
   } while(selection < 3);
   
   DestroyInput();
   DestroyTimer();  
   ReleaseGraphics();
   DestroySound();
   return 0;
}

END_OF_MAIN();
