#ifndef _SPRITE_H
#define _SPRITE_H

#include <allegro.h>

class SPRITE
{
private:
        BITMAP *data;
public:
       SPRITE();
      ~SPRITE();
       void LoadImage(char *filename);
       void DisplayXY(int x, int y);
       void DisplayMaskedXY(int x, int y);
       void DisplayRotatedXY(int x, int y, double angle);
       void DestroyImage(void);
       int GetWidth(void);
       int GetHeight(void);
};

//returns true on collision.
bool Collision(SPRITE *A, int ax, int ay, SPRITE *B, int bx, int by);

#endif
